Origin management service5 matching interfaces
Create an origin
createOrigin
POST
/OriginService/createOrigin- Definition file
service_origin.proto- Available roles
- AdministratorUser
Original definition
rpc createOrigin (CreateOriginRequest) returns (CreateOriginResponse);Request message
CreateOriginRequestCreate an origin
Request message · Field definitions
message CreateOriginRequest {
string name = 1; // Optional: name
NetworkAddress addr = 2; // Origin network address
bytes ossJSON = 15; // OSS configuration; required when protocol in the origin network address starts with oss:
string description = 3; // Optional: description
int32 weight = 4; // Weight, at least 0; usually set to 10
bool isOn = 5; // Whether enabled; usually true
bytes connTimeoutJSON = 6; // Optional: connection timeout
bytes readTimeoutJSON = 7; // Optional: read timeout
bytes idleTimeoutJSON = 8; // Optional: idle timeout
int32 maxConns = 9; // Optional: maximum number of connections
int32 maxIdleConns = 10; // Optional: maximum number of idle connections
repeated string domains = 11; // Optional: dedicated domain names
bytes certRefJSON = 12; // Optional: certificate settings
string host = 13; // Optional: origin host name
bool followPort = 14; // Optional: whether to follow the port
bool http2Enabled = 16; // Optional: whether HTTP/2 is supported; applies only to HTTPS origins
}Response message
CreateOriginResponseResponse message · Field definitions
message CreateOriginResponse {
int64 originId = 1; // Created origin ID
}